<?xml version="1.0"?>
<sch:schema xmlns:sch="http://www.ascc.net/xml/schematron">

   <sch:pattern name="Aircraft Altitude">

       <sch:rule context="Flight">
           <sch:assert test="Aircraft/Altitude &gt; Obstacle/Height" diagnostics="collisionImminent">
             The Aircraft Altitude must be greater than the Obstacle Height.
           </sch:assert>
       </sch:rule>

   </sch:pattern>

   <sch:pattern name="UOM">

      <sch:rule context="Flight">
         <sch:assert test="Aircraft/Altitude/@units = Obstacle/Height/@units" diagnostics="mismatchingUnits">
             The units used for measuring the Aircraft Altitude must be the same 
             as that used for measuring the Obstacle Height.</sch:assert>
      </sch:rule>

   </sch:pattern>

   <sch:diagnostics>

      <sch:diagnostic id="collisionImminent">
          Danger! The aircraft is about to collide with a <sch:value-of select="Obstacle/@type"/>...
          aircraft altitude = <sch:value-of select="Aircraft/Altitude"/>...
          <sch:value-of select="Obstacle/@type"/> height = <sch:value-of select="Obstacle/Height"/>
      </sch:diagnostic>

      <sch:diagnostic id="mismatchingUnits">
          Danger! The units used for expressing the aircraft's altitude (<sch:value-of select="Aircraft/Altitude/@units"/>)
          differs from the units used for expressing the height of obstacles (<sch:value-of select="Obstacle/Height/@units"/>)
      </sch:diagnostic>

   </sch:diagnostics>

</sch:schema>